import { Response } from "./response";
import { CreateContextFunction, AliyunHttpContext } from "./types";
import { Request } from "./request";
export declare class Context {
    request: Request;
    response: Response;
    private readonly originalCtx;
    constructor(request: Request, response: Response, originalCtx: AliyunHttpContext);
    readonly req: Request;
    readonly res: Response;
    readonly credentials: import("./types").AliyunHttpContextCredentials;
    readonly service: import("./types").AliyunHttpContextService;
    readonly query: {
        [key: string]: string | any[];
    };
    readonly ip: string;
    readonly method: string;
    readonly requestId: string;
    readonly accountId: string;
    readonly function: import("./types").AliyunHttpContextFunction;
    readonly region: string;
    setHeader(field: string, value: string): void;
    removeHeader(field: string): void;
    readonly header: {
        [key: string]: any;
    };
    readonly headers: {
        [key: string]: any;
    };
    status: number;
    body: any;
    set(field: string | {
        [key: string]: string;
    }, value?: string): void;
    finish(): void;
    redirect(newUrl: string): void;
}
export declare const createContext: CreateContextFunction;
